if (!defined &_LINUX_ATARIINTS_H_) {
    eval 'sub _LINUX_ATARIINTS_H_ () {1;}' unless defined(&_LINUX_ATARIINTS_H_);
    require 'asm/irq.ph';
    require 'asm/atarihw.ph';
    eval 'sub STMFP_SOURCE_BASE () {8;}' unless defined(&STMFP_SOURCE_BASE);
    eval 'sub TTMFP_SOURCE_BASE () {24;}' unless defined(&TTMFP_SOURCE_BASE);
    eval 'sub SCC_SOURCE_BASE () {40;}' unless defined(&SCC_SOURCE_BASE);
    eval 'sub VME_SOURCE_BASE () {56;}' unless defined(&VME_SOURCE_BASE);
    eval 'sub VME_MAX_SOURCES () {16;}' unless defined(&VME_MAX_SOURCES);
    eval 'sub NUM_ATARI_SOURCES () {( &VME_SOURCE_BASE+ &VME_MAX_SOURCES- &STMFP_SOURCE_BASE);}' unless defined(&NUM_ATARI_SOURCES);
    eval 'sub IRQ_VECTOR_TO_SOURCE {
        local($v) = @_;
        eval "(($v) - (($v) < 0x20 ? 0x18 : (0x40-8)))";
    }' unless defined(&IRQ_VECTOR_TO_SOURCE);
    eval 'sub IRQ_SOURCE_TO_VECTOR {
        local($i) = @_;
        eval "(($i) + (($i) < 8? 0x18 : (0x40-8)))";
    }' unless defined(&IRQ_SOURCE_TO_VECTOR);
    eval 'sub IRQ_TYPE_SLOW () {0;}' unless defined(&IRQ_TYPE_SLOW);
    eval 'sub IRQ_TYPE_FAST () {1;}' unless defined(&IRQ_TYPE_FAST);
    eval 'sub IRQ_TYPE_PRIO () {2;}' unless defined(&IRQ_TYPE_PRIO);
    eval 'sub IRQ_SPURIOUS () {( &IRQ_MACHSPEC | 0);}' unless defined(&IRQ_SPURIOUS);
    eval 'sub IRQ_AUTO_1 () {( &IRQ_MACHSPEC | 1);}' unless defined(&IRQ_AUTO_1);
    eval 'sub IRQ_AUTO_2 () {( &IRQ_MACHSPEC | 2);}' unless defined(&IRQ_AUTO_2);
    eval 'sub IRQ_AUTO_3 () {( &IRQ_MACHSPEC | 3);}' unless defined(&IRQ_AUTO_3);
    eval 'sub IRQ_AUTO_4 () {( &IRQ_MACHSPEC | 4);}' unless defined(&IRQ_AUTO_4);
    eval 'sub IRQ_AUTO_5 () {( &IRQ_MACHSPEC | 5);}' unless defined(&IRQ_AUTO_5);
    eval 'sub IRQ_AUTO_6 () {( &IRQ_MACHSPEC | 6);}' unless defined(&IRQ_AUTO_6);
    eval 'sub IRQ_AUTO_7 () {( &IRQ_MACHSPEC | 7);}' unless defined(&IRQ_AUTO_7);
    eval 'sub IRQ_MFP_BUSY () {( &IRQ_MACHSPEC | 8);}' unless defined(&IRQ_MFP_BUSY);
    eval 'sub IRQ_MFP_DCD () {( &IRQ_MACHSPEC | 9);}' unless defined(&IRQ_MFP_DCD);
    eval 'sub IRQ_MFP_CTS () {( &IRQ_MACHSPEC | 10);}' unless defined(&IRQ_MFP_CTS);
    eval 'sub IRQ_MFP_GPU () {( &IRQ_MACHSPEC | 11);}' unless defined(&IRQ_MFP_GPU);
    eval 'sub IRQ_MFP_TIMD () {( &IRQ_MACHSPEC | 12);}' unless defined(&IRQ_MFP_TIMD);
    eval 'sub IRQ_MFP_TIMC () {( &IRQ_MACHSPEC | 13);}' unless defined(&IRQ_MFP_TIMC);
    eval 'sub IRQ_MFP_ACIA () {( &IRQ_MACHSPEC | 14);}' unless defined(&IRQ_MFP_ACIA);
    eval 'sub IRQ_MFP_FDC () {( &IRQ_MACHSPEC | 15);}' unless defined(&IRQ_MFP_FDC);
    eval 'sub IRQ_MFP_ACSI () { &IRQ_MFP_FDC;}' unless defined(&IRQ_MFP_ACSI);
    eval 'sub IRQ_MFP_FSCSI () { &IRQ_MFP_FDC;}' unless defined(&IRQ_MFP_FSCSI);
    eval 'sub IRQ_MFP_IDE () { &IRQ_MFP_FDC;}' unless defined(&IRQ_MFP_IDE);
    eval 'sub IRQ_MFP_TIMB () {( &IRQ_MACHSPEC | 16);}' unless defined(&IRQ_MFP_TIMB);
    eval 'sub IRQ_MFP_SERERR () {( &IRQ_MACHSPEC | 17);}' unless defined(&IRQ_MFP_SERERR);
    eval 'sub IRQ_MFP_SEREMPT () {( &IRQ_MACHSPEC | 18);}' unless defined(&IRQ_MFP_SEREMPT);
    eval 'sub IRQ_MFP_RECERR () {( &IRQ_MACHSPEC | 19);}' unless defined(&IRQ_MFP_RECERR);
    eval 'sub IRQ_MFP_RECFULL () {( &IRQ_MACHSPEC | 20);}' unless defined(&IRQ_MFP_RECFULL);
    eval 'sub IRQ_MFP_TIMA () {( &IRQ_MACHSPEC | 21);}' unless defined(&IRQ_MFP_TIMA);
    eval 'sub IRQ_MFP_RI () {( &IRQ_MACHSPEC | 22);}' unless defined(&IRQ_MFP_RI);
    eval 'sub IRQ_MFP_MMD () {( &IRQ_MACHSPEC | 23);}' unless defined(&IRQ_MFP_MMD);
    eval 'sub IRQ_TT_MFP_IO0 () {( &IRQ_MACHSPEC | 24);}' unless defined(&IRQ_TT_MFP_IO0);
    eval 'sub IRQ_TT_MFP_IO1 () {( &IRQ_MACHSPEC | 25);}' unless defined(&IRQ_TT_MFP_IO1);
    eval 'sub IRQ_TT_MFP_SCC () {( &IRQ_MACHSPEC | 26);}' unless defined(&IRQ_TT_MFP_SCC);
    eval 'sub IRQ_TT_MFP_RI () {( &IRQ_MACHSPEC | 27);}' unless defined(&IRQ_TT_MFP_RI);
    eval 'sub IRQ_TT_MFP_TIMD () {( &IRQ_MACHSPEC | 28);}' unless defined(&IRQ_TT_MFP_TIMD);
    eval 'sub IRQ_TT_MFP_TIMC () {( &IRQ_MACHSPEC | 29);}' unless defined(&IRQ_TT_MFP_TIMC);
    eval 'sub IRQ_TT_MFP_DRVRDY () {( &IRQ_MACHSPEC | 30);}' unless defined(&IRQ_TT_MFP_DRVRDY);
    eval 'sub IRQ_TT_MFP_SCSIDMA () {( &IRQ_MACHSPEC | 31);}' unless defined(&IRQ_TT_MFP_SCSIDMA);
    eval 'sub IRQ_TT_MFP_TIMB () {( &IRQ_MACHSPEC | 32);}' unless defined(&IRQ_TT_MFP_TIMB);
    eval 'sub IRQ_TT_MFP_SERERR () {( &IRQ_MACHSPEC | 33);}' unless defined(&IRQ_TT_MFP_SERERR);
    eval 'sub IRQ_TT_MFP_SEREMPT () {( &IRQ_MACHSPEC | 34);}' unless defined(&IRQ_TT_MFP_SEREMPT);
    eval 'sub IRQ_TT_MFP_RECERR () {( &IRQ_MACHSPEC | 35);}' unless defined(&IRQ_TT_MFP_RECERR);
    eval 'sub IRQ_TT_MFP_RECFULL () {( &IRQ_MACHSPEC | 36);}' unless defined(&IRQ_TT_MFP_RECFULL);
    eval 'sub IRQ_TT_MFP_TIMA () {( &IRQ_MACHSPEC | 37);}' unless defined(&IRQ_TT_MFP_TIMA);
    eval 'sub IRQ_TT_MFP_RTC () {( &IRQ_MACHSPEC | 38);}' unless defined(&IRQ_TT_MFP_RTC);
    eval 'sub IRQ_TT_MFP_SCSI () {( &IRQ_MACHSPEC | 39);}' unless defined(&IRQ_TT_MFP_SCSI);
    eval 'sub IRQ_SCCB_TX () {( &IRQ_MACHSPEC | 40);}' unless defined(&IRQ_SCCB_TX);
    eval 'sub IRQ_SCCB_STAT () {( &IRQ_MACHSPEC | 42);}' unless defined(&IRQ_SCCB_STAT);
    eval 'sub IRQ_SCCB_RX () {( &IRQ_MACHSPEC | 44);}' unless defined(&IRQ_SCCB_RX);
    eval 'sub IRQ_SCCB_SPCOND () {( &IRQ_MACHSPEC | 46);}' unless defined(&IRQ_SCCB_SPCOND);
    eval 'sub IRQ_SCCA_TX () {( &IRQ_MACHSPEC | 48);}' unless defined(&IRQ_SCCA_TX);
    eval 'sub IRQ_SCCA_STAT () {( &IRQ_MACHSPEC | 50);}' unless defined(&IRQ_SCCA_STAT);
    eval 'sub IRQ_SCCA_RX () {( &IRQ_MACHSPEC | 52);}' unless defined(&IRQ_SCCA_RX);
    eval 'sub IRQ_SCCA_SPCOND () {( &IRQ_MACHSPEC | 54);}' unless defined(&IRQ_SCCA_SPCOND);
    eval 'sub INT_CLK () {24576;}' unless defined(&INT_CLK);
    eval 'sub INT_TICKS () {246;}' unless defined(&INT_TICKS);
    eval 'sub MFP_ENABLE () {0;}' unless defined(&MFP_ENABLE);
    eval 'sub MFP_PENDING () {1;}' unless defined(&MFP_PENDING);
    eval 'sub MFP_SERVICE () {2;}' unless defined(&MFP_SERVICE);
    eval 'sub MFP_MASK () {3;}' unless defined(&MFP_MASK);
}
1;
